summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
new file mode 100755
index 00000000..9721a4b0
--- /dev/null
+++ b/ci/deploy.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+set -ex
+./01-bootstrap.sh
+
+#need to put mutiple cases here where decide this bundle to deploy by default use the odl bundle.
+# Below parameters are the default and we can according the release
+
+opnfvsdn=odl
+opnfvtype=nonha
+openstack=kilo
+opnfvlab=intelpod5
+
+usage() { echo "Usage: $0 [-s <odl|opencontrail>]
+ [-t <nonha|ha|tip>]
+ [-o <juno|kilo|liberty>]
+ [-l <intelpod5>]" 1>&2 exit 1;}
+
+while getopts ":s:t:o:l:h:" opt; do
+ case "${opt}" in
+ s)
+ opnfvsdn=${OPTARG}
+ ;;
+ t)
+ opnfvtype=${OPTARG}
+ ;;
+ o)
+ openstack=${OPTARG}
+ ;;
+ l)
+ opnfvlab=${OPTARG}
+ ;;
+ h)
+ usage
+ ;;
+ *)
+ ;;
+ esac
+done
+
+#copy the script which needs to get deployed as part of ofnfv release
+cp ./$opnfvsdn/01-deploybundle.sh ./01-deploybundle.sh
+
+#case default:
+./01-deploybundle.sh $opnfvtype $openstack $opnfvlab
+